Eclipse Remote Application Platform

## org.eclipse.rap.rwt.service
Interface IApplicationStore

All Known Subinterfaces:
  ApplicationContext

Deprecated. Use `ApplicationContext` instead.

    @Deprecated
    public interface IApplicationStore

Since:
  2.0

Method Summary
`java.lang.Object` `getAttribute(java.lang.String name)` Deprecated. Use `ApplicationContext` instead of `IApplicationStore`.
`void` `removeAttribute(java.lang.String name)` Deprecated. Use `ApplicationContext` instead of `IApplicationStore`.
`void` `setAttribute(java.lang.String name, java.lang.Object value)` Deprecated. Use `ApplicationContext` instead of `IApplicationStore`.

Method Detail

### setAttribute

    @Deprecated
    void setAttribute(java.lang.String name,
                                 java.lang.Object value)

  Deprecated. Use `ApplicationContext` instead of `IApplicationStore`.

### getAttribute

    @Deprecated
    java.lang.Object getAttribute(java.lang.String name)

  Deprecated. Use `ApplicationContext` instead of `IApplicationStore`.

### removeAttribute

    @Deprecated
    void removeAttribute(java.lang.String name)

  Deprecated. Use `ApplicationContext` instead of `IApplicationStore`.

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0